> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 音楽生成

> Flow Music テキストから音楽を生成します。スタイルプロンプト / 歌詞 / BPM / 長さの制御に対応し、1 回のリクエストで 1 曲を生成します

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.apimart.ai/v1/music/generations \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "model": "flowmusic",
      "title": "My Song",
      "sound_prompt": "upbeat pop music with piano",
      "bpm": "120",
      "length": 60
    }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.apimart.ai/v1/music/generations"

  payload = {
      "model": "flowmusic",
      "title": "My Song",
      "sound_prompt": "upbeat pop music with piano",
      "bpm": "120",
      "length": 60
  }

  headers = {
      "Authorization": "Bearer <token>",
      "Content-Type": "application/json"
  }

  response = requests.post(url, json=payload, headers=headers)

  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const url = "https://api.apimart.ai/v1/music/generations";

  const payload = {
    model: "flowmusic",
    title: "My Song",
    sound_prompt: "upbeat pop music with piano",
    bpm: "120",
    length: 60
  };

  const headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(payload)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error('Error:', error));
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "code": 200,
    "data": [
      {
        "status": "submitted",
        "task_id": "task_01K8AYYM6R03TGZ3Q2P0TZVNPX"
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {
    "error": {
      "message": "sound_prompt and lyrics cannot both be empty",
      "type": "invalid_request",
      "param": "",
      "code": "invalid_request"
    }
  }
  ```

  ```json 403 theme={null}
  {
    "error": {
      "message": "残高が不足しています",
      "type": "invalid_request",
      "param": "",
      "code": "quota_not_enough"
    }
  }
  ```

  ```json 429 theme={null}
  {
    "error": {
      "message": "現在のグループ容量が飽和しています。後でもう一度お試しください",
      "type": "rate_limit_error",
      "param": "",
      "code": "rate_limit_error"
    }
  }
  ```
</ResponseExample>

## 認証

<ParamField header="Authorization" type="string" required>
  すべての API は Bearer Token による認証が必要です

  API Key の取得：

  [API Key 管理ページ](https://apimart.ai/keys) にアクセスして API Key を取得してください

  使用時はリクエストヘッダーに以下を追加します：

  ```
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## リクエストパラメータ

<ParamField body="model" type="string" required>
  モデル名。**必ず `"flowmusic"` を指定**（大文字小文字は区別されません）
</ParamField>

<ParamField body="sound_prompt" type="string">
  音楽のスタイルやサウンドを記述するプロンプト

  例：`"upbeat pop music with piano"`

  <Note>
    `sound_prompt` と `lyrics` は**同時に空にできません**（少なくとも一方を指定してください）。1 回のリクエストで生成される音楽は 1 曲のみです。
  </Note>
</ParamField>

<ParamField body="lyrics" type="string">
  歌詞テキスト。先に[歌詞生成](./lyrics)API で取得した結果をここに設定できます

  例：`"[Verse 1]\nどんなに長い夜も必ず明ける\n..."`
</ParamField>

<ParamField body="title" type="string">
  生成する音楽のタイトル
</ParamField>

<ParamField body="bpm" type="string">
  BPM（1 分あたりの拍数）。1 以上である必要があります

  例：`"120"`
</ParamField>

<ParamField body="length" type="integer">
  生成する長さ（秒）

  対応範囲：`1` \~ `240` 秒
</ParamField>

<ParamField body="seed" type="string">
  ランダムシード。結果の再現に使用します

  <Note>
    同じリクエストで同じ seed 値を指定すると、類似した結果が生成されますが、完全な一致は保証されません。
  </Note>
</ParamField>

## レスポンス

<ResponseField name="code" type="integer">
  レスポンスステータスコード。成功時は 200
</ResponseField>

<ResponseField name="data" type="array">
  返却データの配列

  <Expandable title="配列要素">
    <ResponseField name="status" type="string">
      タスクステータス。初回送信時は `submitted`
    </ResponseField>

    <ResponseField name="task_id" type="string">
      タスクの一意な識別子。タスクのステータスと結果の照会に使用します
    </ResponseField>
  </Expandable>
</ResponseField>

## 使用シーン

### シーン 1：スタイルプロンプトのみで生成

```json theme={null}
{
  "model": "flowmusic",
  "title": "My Song",
  "sound_prompt": "upbeat pop music with piano",
  "bpm": "120",
  "length": 60
}
```

### シーン 2：歌詞 + スタイルで作曲

```json theme={null}
{
  "model": "flowmusic",
  "title": "継続",
  "lyrics": "[Verse 1]\nどんなに長い夜も必ず明ける\n...",
  "sound_prompt": "energetic rock with electric guitar",
  "length": 120
}
```

<Note>
  **タスク結果の照会**

  音楽生成は非同期タスクです。送信後に `task_id` が返されます。[タスクステータスの取得](./query) API を使用して、生成の進捗と結果を照会してください。
</Note>

## タスク完了結果の例

**照会レスポンス例**（`GET /v1/music/tasks/{task_id}`）：

```json theme={null}
{
  "code": 200,
  "data": {
    "id": "task_01KWXVB61E28THHFBSYXWA4FAJ",
    "status": "completed",
    "progress": 100,
    "created": 1783413184,
    "completed": 1783413236,
    "actual_time": 52,
    "cost": 0.048,
    "credits_cost": 0.48,
    "result": {
      "music": [
        {
          "clip_id": "a41aade4-993e-4d28-b56f-d97e7ef7167c",
          "title": "Regression Song",
          "duration_seconds": "181.70666667",
          "create_time": "2026-07-07T08:33:32.854073Z",
          "lyrics": "[Verse 1]\nWaking up to the morning light,\n...",
          "lyrics_id": "c302d603-81b6-552f-8122-e512928d6aa1",
          "lyrics_timing_markers": [[10, 12], [212, 36]],
          "audio_url": "https://cdn.apimart.ai/audio/flowmusic_a41aade4.m4a",
          "wav_url": "https://cdn.apimart.ai/audio/flowmusic_a41aade4.wav",
          "image_url": "https://cdn.apimart.ai/image/flowmusic_a41aade4_cover.jpg"
        }
      ]
    }
  }
}
```
